'use strict';

exports.__esModule = true;
exports.ServerError = exports.JsonParsingError = undefined;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var _es6Error = require('es6-error');

var _es6Error2 = _interopRequireDefault(_es6Error);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var JsonParsingError = function (_es6Error2$default) {
    _inherits(JsonParsingError, _es6Error2$default);

    function JsonParsingError(message, error) {
        _classCallCheck(this, JsonParsingError);

        var _this = _possibleConstructorReturn(this, (JsonParsingError.__proto__ || Object.getPrototypeOf(JsonParsingError)).call(this, message));

        _this.error = error;
        return _this;
    }

    return JsonParsingError;
}(_es6Error2.default);

var ServerError = function (_es6Error2$default2) {
    _inherits(ServerError, _es6Error2$default2);

    function ServerError(message, error) {
        _classCallCheck(this, ServerError);

        var _this2 = _possibleConstructorReturn(this, (ServerError.__proto__ || Object.getPrototypeOf(ServerError)).call(this, message));

        _this2.error = error;
        return _this2;
    }

    return ServerError;
}(_es6Error2.default);

exports.JsonParsingError = JsonParsingError;
exports.ServerError = ServerError;