import ExtendableError from 'es6-error';

class JsonParsingError extends ExtendableError {
    constructor(message, error) {
        super(message);
        this.error = error;
    }
}


class ServerError extends ExtendableError {
    constructor(message, error) {
        super(message);
        this.error = error;
    }
}

export {JsonParsingError, ServerError}
